View Issue Details

IDProjectCategoryView StatusLast Update
0004167SymmetricDSImprovementpublic2020-05-26 14:48
ReporterpmarzulloAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004167: sym_router table should require router_type value, providing a default value of 'default'
Descriptionrouter_type is not a required field.

this column should require a value, and should provide a default value of 'default'.
Steps To Reproduce1. Insert a sym_router record without specifying the router type in the insert statement.

1. Insert a sym_router record specifying a null value for the router type.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 6a4f7f7e

2020-04-28 08:59:19

admin

Details Diff
0004167: sym_router table should require router_type value
0004167
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2019-11-27 11:34 pmarzullo New Issue
2019-12-09 10:25 admin Target Version 3.10.7 => 3.10.8
2020-01-02 09:40 admin Target Version 3.10.8 => 3.10.9
2020-01-22 14:03 elong Target Version 3.10.9 => 3.10.10
2020-02-14 08:20 elong Product Version 3.10.3 => 3.12.0
2020-02-14 08:20 elong Target Version 3.10.10 => 3.12.0
2020-04-28 09:00 admin Changeset attached => SymmetricDS 3.12 6a4f7f7e
2020-04-28 09:15 elong Assigned To => elong
2020-04-28 09:15 elong Status new => assigned
2020-04-28 09:15 elong Status assigned => resolved
2020-04-28 09:15 elong Resolution open => fixed
2020-04-28 09:15 elong Fixed in Version => 3.12.0
2020-05-26 14:48 elong Status resolved => closed